(defun test-cb( / error) ; callback-Funtion
  (bind-dcl-keys
  '("e1" "e2" "e3") ; Her alle Keys einsetzen, die
                          ; der Dialog enthlt
  '(progn
      ; Innerhalb dieses PROGN knnen die Keys als
      ; Variablen verwendet werden!

      ;Abfrage nach Eingaben kleiner Null
      (cond ((< (atof e1) 0.0)(setq error "e1"))
            ((< (atof e2) 0.0)(setq error "e2"))
            ((< (atof e3) 0.0)(setq error "e3")))
      (if (not error)
       (princ(strcat e1 e2 e3"\n"))) ; => "123456789
      ; ...
    ) ; Ende PROGN, Variablen wieder weg!
  )
error)

(defun c:test (/ id l_auswahl liste error)
  (setq liste '("Eintrag1" "Eintrag2" "Eintrag3"))
  (setq id (load_dialog "test1.dcl"))
  (new_dialog "test1" id)
  (start_list "l1" 3)

  (mapcar 'add_list liste)
  (end_list)
  (set_tile "e1" "123")
  (set_tile "e2" "456")
  (set_tile "e3" "789")
  (mode_tile "b1" 1)
  (mode_tile "e1" 2)

  (action_tile "l1"
    (strcat "(setq l_auswahl (JB_multiple_select $value))"
	    "(mode_tile \"b1\" 0)"
	    )
    )

  (action_tile "b1" "(JB_princ l_auswahl liste))")
  (action_tile "cancel" "(done_dialog)")
  (action_tile "accept"
    (strcat
      "(if(setq error(test-cb))"
      "(progn "
      "(alert \"Fehlerhafte Eingabe\")"
      "(mode_tile error 2))"
      "(done_dialog))"
      )
    )
  (start_dialog)
  (unload_dialog id)

  (princ)
  )
;;;Ausgewhlte Elemente aus List_box schreiben
(defun jb_princ	(l_auswahl liste /)
  (princ "\n*****Beginn******")
  (mapcar '(lambda (a)
	     (princ (strcat "\n" (nth a liste)))
	     )
	  (reverse l_auswahl)
	  )
  (princ "\n*****Ende********\n")

  )

;;;Value einer List-Box mit oder ohne multiple_select=true als Liste mit Integer's
(defun jb_multiple_select (string / liste)
  (if (vl-string-search " " string)
    (progn
      (while (vl-string-search " " string)
	(setq liste  (cons
		       (atoi (substr string 1 (vl-string-search " " string)))
		       liste
		       )
	      string (substr string (+ 2 (vl-string-search " " string)))
	      )
	)
      (cons (atoi string) liste)
      )
    (cons (atoi string) liste)
    )
  )


